﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{91330DD3-1BDF-4E57-BCEB-828CB52EE8B1}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DataMapper</RootNamespace>
    <AssemblyName>DataMapper</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Attributes\DbComposition.cs" />
    <Compile Include="Attributes\DbAggregation.cs" />
    <Compile Include="Attributes\DbForeignKey.cs" />
    <Compile Include="Attributes\GeneratedCodeInstructions\AssemblyFacets.cs" />
    <Compile Include="Attributes\GeneratedCodeInstructions\Attributes.cs" />
    <Compile Include="Attributes\GeneratedCodeInstructions\ClassFacets.cs" />
    <Compile Include="Attributes\GeneratedCodeInstructions\FacetsCollector.cs" />
    <Compile Include="Attributes\GeneratedCodeInstructions\PropertyFacets.cs" />
    <Compile Include="Attributes\IHasMapperOwner.cs" />
    <Compile Include="Attributes\DbMappedAttribute.cs" />
    <Compile Include="Attributes\DbMappedField.cs" />
    <Compile Include="Attributes\DbNotMappedEnum.cs" />
    <Compile Include="Attributes\DbMappedJoinTable.cs" />
    <Compile Include="Attributes\DbMappedTable.cs" />
    <Compile Include="Attributes\DbMappedView.cs" />
    <Compile Include="Extensions\TechnicalTools\Tools\IntervalIntegerInclusiveSet_Extensions.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_Debug.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_ItemWithState.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_ListWithState.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_Trace.cs" />
    <Compile Include="Features\DbMapperConcrete\Linq2Sql\DbMapper_Repository.cs" />
    <Compile Include="Features\DbGeneratedMapper.cs" />
    <Compile Include="Features\DbMapperWrapperAbstract.cs" />
    <Compile Include="Features\IDbMapperSharedSettings.cs" />
    <Compile Include="Features\DbMapperConcrete\Linq2Sql\SqlQueryProvider.cs" />
    <Compile Include="Helpers\MapperList_Helper.cs" />
    <Compile Include="Helpers\DtoTypeSizeEstimator.cs" />
    <Compile Include="Helpers\EnumMappingCheckingHelper.cs" />
    <Compile Include="Helpers\RemoteTuple.cs" />
    <Compile Include="Helpers\RemoteContext.cs" />
    <Compile Include="Helpers\RangeOf.cs" />
    <Compile Include="Helpers\EditableDTOSet.cs" />
    <Compile Include="Helpers\EditableDTOSubSet.cs" />
    <Compile Include="Features\DbMapperWrapperNotifier.cs" />
    <Compile Include="IDbMapper.cs" />
    <Compile Include="IDbMapperReadAccess.cs" />
    <Compile Include="IDbMapperWriteAccess.cs" />
    <Compile Include="MemoryCacheManager.cs" />
    <Compile Include="Features\DbMapperWithLocalCache.cs" />
    <Compile Include="Helpers\DynamicEnum_DummyImplForNameOf.cs" />
    <Compile Include="Features\DbMapperWrapper.cs" />
    <Compile Include="Requirements\IHasOptimizedLoading.cs" />
    <Compile Include="ServerNotifier.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_StdFeatures.cs" />
    <Compile Include="Helpers\BaseTypeWithCache\BaseDTO.cs" />
    <Compile Include="Helpers\BaseTypeWithCache\DynamicEnum.cs" />
    <Compile Include="SqlFeaturesProvider.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper.cs" />
    <Compile Include="DbMapperFactory.cs" />
    <Compile Include="Attributes\DbMaxLength.cs" />
    <Compile Include="Diagnostics\RequestTrace.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_List.cs" />
    <Compile Include="Helpers\DynamicEnum.cs" />
    <Compile Include="Helpers\BaseDTO.cs" />
    <Compile Include="Requirements\IAutoMappedDbObject.cs" />
    <Compile Include="Requirements\IConnectionProvider.cs" />
    <Compile Include="Requirements\IDbTransaction.cs" />
    <Compile Include="Features\DbMapperConcrete\DbMapper_Item.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Tools\SqlCommand_Logging.cs" />
    <Compile Include="Tools\SqlCommand_Extensions.cs" />
    <Compile Include="Tools\MappedDbObjectDataReader.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="TODO.txt" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="Dependencies\TechnicalTools\TechnicalTools.csproj">
      <Project>{fc7768a2-9baa-44da-ade7-a85be5aebd47}</Project>
      <Name>TechnicalTools</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="LICENSE" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>